libzypp: zypp::parser Namespace Reference

libzypp 17.38.11

zypp::parser Namespace Reference

## Namespaces
namespace | susetags
namespace | yum
namespace | econf

## Classes
class | HistoryLogReader
| Zypp history file parser. More...
struct | ProductNode
class | ProductFileData
| Data returned by ProductFileReader. More...
class | ProductFileReader
| Parser for /etc/products.d enries (just relevant entires). More...
class | RepoFileReader
| Read repository data from a .repo file. More...
class | RepoindexFileReader
| Reads through a repoindex.xml file and collects repositories. More...
class | ServiceFileReader
| Read service data from a .service file. More...
struct | EconfDict
| Parse the prioritized list of files and drop-ins to read and merge for a specific config file stem: [PROJECT/]EXAMPLE[.SUFFIX] e.g: zypp/zypp.conf. More...
class | IniDict
| Parses a INI file and offers its structure as a dictionary. More...
class | IniParser
| Simple INI-file parser. More...
class | ParseException
class | EconfException
| Thrown by EconfDict. More...
class | Reader
| xmlTextReader based interface to iterate xml streams. More...
class | XmlString
| xmlChar * wrapper. More...

## Functions
| ZYPP_DECLARE_OPERATORS_FOR_FLAGS (HistoryLogReader::Options)
| relates: HistoryLogReader::Options
std::ostream & | operator<< (std::ostream &str, const ProductFileData &obj) ZYPP_API
| relates: ProductFileData Stream output
std::ostream & | operator<< (std::ostream &str, const ProductFileData::Upgrade &obj) ZYPP_API
| relates: ProductFileData::Upgrade Stream output
static void | repositories_in_stream (const InputStream &is, const RepoFileReader::ProcessRepo &callback, const ProgressData::ReceiverFnc &progress)
| List of RepoInfo's from a file.
std::ostream & | operator<< (std::ostream &str, const RepoFileReader &obj)
| relates: RepoFileReader Stream output
std::ostream & | operator<< (std::ostream &str, const ServiceFileReader &obj)
| relates: ServiceFileReader Stream output
std::ostream & | operator<< (std::ostream &str, const IniDict &obj)
| relates: IniDict Stream output
std::ostream & | dumpOn (std::ostream &str, const IniDict &obj)
| relates: IniDict Dump as single ini-file.

## Function Documentation

## ◆ ZYPP_DECLARE_OPERATORS_FOR_FLAGS()

zypp::parser::ZYPP_DECLARE_OPERATORS_FOR_FLAGS | ( | HistoryLogReader::Options |  | ) |

relates: HistoryLogReader::Options

## ◆ operator<<() [1/5]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData & | obj )

relates: ProductFileData Stream output

Definition at line 107 of file ProductFileReader.cc.

## ◆ operator<<() [2/5]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData::Upgrade & | obj )

relates: ProductFileData::Upgrade Stream output

Definition at line 122 of file ProductFileReader.cc.

## ◆ repositories_in_stream()

void zypp::parser::repositories_in_stream | ( | const InputStream & | is,
|  | const RepoFileReader::ProcessRepo & | callback,
|  | const ProgressData::ReceiverFnc & | progress )
| static

List of RepoInfo's from a file.

Parameters

  file | pathname of the file to read.

Definition at line 139 of file RepoFileReader.cc.

## ◆ operator<<() [3/5]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const RepoFileReader & | obj )

relates: RepoFileReader Stream output

Definition at line 260 of file RepoFileReader.cc.

## ◆ operator<<() [4/5]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ServiceFileReader & | obj )

relates: ServiceFileReader Stream output

Definition at line 173 of file ServiceFileReader.cc.

## ◆ operator<<() [5/5]

std::ostream & zypp::parser::operator<< | ( | std::ostream & | str,
|  | const IniDict & | obj )

relates: IniDict Stream output

Definition at line 171 of file inidict.cc.

## ◆ dumpOn()

std::ostream & zypp::parser::dumpOn | ( | std::ostream & | str,
|  | const IniDict & | obj )
| inline

relates: IniDict Dump as single ini-file.

Definition at line 180 of file inidict.h.